Skip to main content
`Ctrl`+`K`

# DMDAMapMatStencilToGlobal

Map a list of `MatStencil` on a grid to global indices.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAMapMatStencilToGlobal(DM da, PetscInt m, const MatStencil idxm[], PetscInt gidxm[])

Not Collective

## Input Parameters

- da - the `DMDA` object

- m - number of `MatStencil` to map

- idxm - grid points (and component number when dof > 1)

## Output Parameter

- gidxm - global row indices

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `MatStencil`

## Level

intermediate

## Location

src/dm/impls/da/da.c

## Examples

src/snes/tutorials/ex55k.kokkos.cxx

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages